# Class GestionAjout

java.lang.Object
java.util.AbstractCollection<JButton>
java.util.AbstractList<JButton>
java.util.ArrayList<JButton>
fr.iutfbleau.papillon.GestionAjout

All Implemented Interfaces:
  `ActionListener, Serializable, Cloneable, Iterable<JButton>, Collection<JButton>, EventListener, List<JButton>, RandomAccess, SequencedCollection<JButton>`

public class GestionAjout extends ArrayList<JButton> implements ActionListener
La classe `GestionAjout` gère les boutons de la fenêtre d’ajout d’un rappel dans l’application Papillon.

Elle contient les boutons Valider et Annuler, et définit le comportement associé à chacun d’eux.

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class AbstractList

`modCount`

## Constructor Summary

Constructors
Constructor
Description
`GestionAjout(JFrame f, Main parent, JTextField champTitre, JTextArea champContenu, JComboBox<Integer> rang, JComboBox<String> comboTheme)`
Constructeur du gestionnaire de boutons pour la fenêtre d’ajout.

## Method Summary

Modifier and Type
Method
Description
`void`
`actionPerformed(ActionEvent e)`
Gère les actions effectuées sur les boutons de la fenêtre.

### Methods inherited from class ArrayList

`add, add, addAll, addAll, addFirst, addLast, clear, clone, contains, ensureCapacity, equals, forEach, get, getFirst, getLast, hashCode, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, removeFirst, removeIf, removeLast, removeRange, replaceAll, retainAll, set, size, sort, spliterator, subList, toArray, toArray, trimToSize`

### Methods inherited from class AbstractCollection

`containsAll, toString`

### Methods inherited from class Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface Collection

`parallelStream, stream, toArray`

### Methods inherited from interface List

`containsAll, reversed`

## Constructor Details

### GestionAjout

public GestionAjout(JFrame f, Main parent, JTextField champTitre, JTextArea champContenu, JComboBox<Integer> rang, JComboBox<String> comboTheme)
Constructeur du gestionnaire de boutons pour la fenêtre d’ajout.

Parameters:
  `f` - la fenêtre d’ajout
  `parent` - la fenêtre principale
  `champTitre` - le champ de texte pour le titre
  `champContenu` - la zone de texte pour le contenu
  `rang` - la liste déroulante de priorité
  `comboTheme` - la liste déroulante du thème

## Method Details

### actionPerformed

public void actionPerformed(ActionEvent e)
Gère les actions effectuées sur les boutons de la fenêtre.

Si l’utilisateur clique sur Annuler, la fenêtre d’ajout est fermée et la fenêtre principale est réaffichée. Si l’utilisateur clique sur Valider, un nouveau rappel est créé et ajouté à la liste principale.

Specified by:
  `actionPerformed` in interface `ActionListener`
Parameters:
  `e` - l’événement d’action déclenché par un clic sur un bouton